(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      7877,        265]
NotebookOptionsPosition[      7035,        231]
NotebookOutlinePosition[      7394,        247]
CellTagsIndexPosition[      7351,        244]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Equation 1 is the concentration in the mobile domain, written in Laplace \
space.\
\>", "Text",
 CellChangeTimes->{{3.635594149160783*^9, 3.63559416195175*^9}}],

Cell[BoxData[
 RowBox[{"Eq1", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"s", "*", 
     RowBox[{"c1", "[", "x", "]"}]}], "-", 
    RowBox[{"DiracDelta", "[", "x", "]"}], "+", 
    RowBox[{"u", "*", 
     RowBox[{
      RowBox[{"c1", "'"}], "[", "x", "]"}]}]}], "==", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "alpha"}], "*", 
     RowBox[{"c1", "[", "x", "]"}]}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"alpha", "^", "2"}], "/", 
      RowBox[{"(", 
       RowBox[{"alpha", "+", 
        RowBox[{"beta", "*", "s"}]}], ")"}]}], "*", 
     RowBox[{"c1", "[", "x", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.635508082061467*^9, 3.635508160873159*^9}, {
   3.635508200754736*^9, 3.635508204905547*^9}, 3.635508241275868*^9, {
   3.635508315459791*^9, 3.635508316758643*^9}}],

Cell[CellGroupData[{

Cell[BoxData["Eq1"], "Input",
 CellChangeTimes->{{3.6355081624531937`*^9, 3.635508162921994*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"s", " ", 
    RowBox[{"c1", "[", "x", "]"}]}], "-", 
   RowBox[{"DiracDelta", "[", "x", "]"}], "+", 
   RowBox[{"u", " ", 
    RowBox[{
     SuperscriptBox["c1", "\[Prime]",
      MultilineFunction->None], "[", "x", "]"}]}]}], "\[Equal]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "alpha"}], " ", 
    RowBox[{"c1", "[", "x", "]"}]}], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["alpha", "2"], " ", 
     RowBox[{"c1", "[", "x", "]"}]}], 
    RowBox[{"alpha", "+", 
     RowBox[{"beta", " ", "s"}]}]]}]}]], "Output",
 CellChangeTimes->{{3.635508212371696*^9, 3.635508243526929*^9}, 
   3.6355083188765793`*^9, 3.6355941666825247`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.635508207529976*^9, 3.63550821896279*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    RowBox[{"c", "[", "x", "]"}]}], "+", 
   RowBox[{"s", " ", 
    RowBox[{"c1", "[", "x", "]"}]}], "+", 
   RowBox[{"u", " ", 
    RowBox[{
     SuperscriptBox["c1", "\[Prime]",
      MultilineFunction->None], "[", "x", "]"}]}]}], "\[Equal]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "alpha"}], " ", 
    RowBox[{"c1", "[", "x", "]"}]}], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["alpha", "2"], " ", 
     RowBox[{"c1", "[", "x", "]"}]}], 
    RowBox[{"alpha", "+", 
     RowBox[{"beta", " ", "s"}]}]]}]}]], "Output",
 CellChangeTimes->{3.635508207557971*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{"Eq1", ",", 
   RowBox[{"c1", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.635508166983863*^9, 3.63550818564915*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"c1", "[", "x", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "alpha"}], " ", "s"}], "-", 
           RowBox[{"alpha", " ", "beta", " ", "s"}], "-", 
           RowBox[{"beta", " ", 
            SuperscriptBox["s", "2"]}]}], ")"}], " ", "x"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"alpha", "+", 
           RowBox[{"beta", " ", "s"}]}], ")"}], " ", "u"}]]], " ", 
      RowBox[{"C", "[", "1", "]"}]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "alpha"}], " ", "s"}], "-", 
            RowBox[{"alpha", " ", "beta", " ", "s"}], "-", 
            RowBox[{"beta", " ", 
             SuperscriptBox["s", "2"]}]}], ")"}], " ", "x"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"alpha", "+", 
            RowBox[{"beta", " ", "s"}]}], ")"}], " ", "u"}]]], " ", 
       RowBox[{"HeavisideTheta", "[", "x", "]"}]}], "u"]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.6355081810674067`*^9, 3.635508187059103*^9}, {
   3.635508220617126*^9, 3.6355082454134912`*^9}, 3.6355083206171837`*^9, 
   3.635594169241653*^9}]
}, Open  ]],

Cell["\<\
C[1] is a constant of integration, which is equal to zero for the infinite \
doman that we consider\
\>", "Text",
 CellChangeTimes->{{3.635594179816697*^9, 3.63559420451153*^9}}],

Cell[BoxData[
 RowBox[{"concentration", ":=", 
  RowBox[{"+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "alpha"}], " ", "s"}], "-", 
          RowBox[{"alpha", " ", "beta", " ", "s"}], "-", 
          RowBox[{"beta", " ", 
           SuperscriptBox["s", "2"]}]}], ")"}], " ", "x"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"alpha", "+", 
          RowBox[{"beta", " ", "s"}]}], ")"}], " ", "u"}]]], " ", 
     RowBox[{"HeavisideTheta", "[", "x", "]"}]}], "u"]}]}]], "Input",
 CellChangeTimes->{{3.635508725122897*^9, 3.63550873639323*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InverseLaplaceTransform", "[", 
  RowBox[{"concentration", ",", "s", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.6355087472975616`*^9, 3.6355087653618727`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"HeavisideTheta", "[", "x", "]"}], " ", 
   RowBox[{"InverseLaplaceTransform", "[", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "alpha"}], " ", "s"}], "-", 
          RowBox[{"alpha", " ", "beta", " ", "s"}], "-", 
          RowBox[{"beta", " ", 
           SuperscriptBox["s", "2"]}]}], ")"}], " ", "x"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"alpha", "+", 
          RowBox[{"beta", " ", "s"}]}], ")"}], " ", "u"}]]], ",", "s", ",", 
     "t"}], "]"}]}], "u"]], "Output",
 CellChangeTimes->{{3.635508756339334*^9, 3.635508766133149*^9}, 
   3.635594208493429*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " cannot invert this. In fact it is really hard to do by hand or \
analytically at all so therefore we will use a numerical algorithm in Matlab \
instead, which provides us with a numerical solution at least."
}], "Text",
 CellChangeTimes->{{3.63559421906425*^9, 3.635594274951374*^9}}]
},
WindowSize->{808, 911},
WindowMargins->{{295, Automatic}, {Automatic, 235}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 170, 4, 30, "Text"],
Cell[731, 26, 784, 23, 28, "Input"],
Cell[CellGroupData[{
Cell[1540, 53, 97, 1, 28, "Input"],
Cell[1640, 56, 691, 21, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2368, 82, 91, 1, 28, "Input"],
Cell[2462, 85, 626, 21, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3125, 111, 189, 4, 28, "Input"],
Cell[3317, 117, 1459, 42, 67, "Output"]
}, Open  ]],
Cell[4791, 162, 188, 4, 30, "Text"],
Cell[4982, 168, 701, 20, 68, "Input"],
Cell[CellGroupData[{
Cell[5708, 192, 191, 3, 28, "Input"],
Cell[5902, 197, 762, 22, 72, "Output"]
}, Open  ]],
Cell[6679, 222, 352, 7, 49, "Text"]
}
]
*)

(* End of internal cache information *)
